---

stages:
  - build
  - test
  - security

include:
  - remote: https://just-ci.gitlab.io/jobs/v6.14.0/container/kaniko.yml

hadolint:
  image: hadolint/hadolint:latest-debian
  stage: test
  script:
    - hadolint Dockerfile

syft:
  image: alpine
  stage: test
  script:
    - apk add syft
    - syft packages ${IMAGE_NAME}:${IMAGE_DEV_TAG} -o json
